Subject: Re: linux-next: build failure after merge of the drm-exynos tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Sep 2025 13:03:04 +1000

Hi all,

On Mon, 1 Sep 2025 12:22:26 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Tue, 26 Aug 2025 12:13:20 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Thu, 21 Aug 2025 11:27:40 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > After merging the drm-exynos tree, today's linux-next build (arm
> > > multi_v7_defconfig) failed like this:
> > > 
> > > drivers/gpu/drm/exynos/exynos_drm_dsi.c:158:20: error: 'DSIM_TYPE_EXYNOS7870' undeclared here (not in a function); did you mean 'DSIM_TYPE_EXYNOS5410'?
> > >   158 |         .hw_type = DSIM_TYPE_EXYNOS7870,
> > >       |                    ^~~~~~~~~~~~~~~~~~~~
> > >       |                    DSIM_TYPE_EXYNOS5410
> > > 
> > > Caused by commit
> > > 
> > >   d07e4c00696f ("drm/exynos: dsi: add support for exynos7870")
> > > 
> > > I have used the drm-exynos tree from next-20250820 for today.    
> > 
> > I am still seeing this failure.  
> 
> I am still seeing this failure.

Today, I have just reverted that commit instead of the whole branch,

-- 
Cheers,
Stephen Rothwell